curl --request GET \
--url https://api-sandbox.synctera.com/v0/wires \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/wires"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wires": [
{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_bulk": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"originating_account_number": 1961234745,
"receiving_account_number": 1961234745,
"sender_reference_id": "9F564A6124E65",
"status": "PENDING",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_message": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": 53,
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"fed_input_message_accountability_data": "10220318BANK0001123456",
"input_message_accountability_data": "10220318BANK0001123456",
"network": "fedwire",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"sanction_screening_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_date": "2022-03-18",
"status_details": "PENDING_DUAL_APPROVAL",
"transaction_in_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List outgoing wires
Get paginated list of wires
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the originating account.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Only display transactions with an effective date less than or equal to to_date
Only display transactions with an effective date greater than from_date
The unique identifier of a customer.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Optional query parameter that can be use to filter the list of returned wires by transfer status
BLOCKED, POSTED, READY "READY"
The unique identifier of the receiving account.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Unique resource identifier
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Was this page helpful?

